package com.yonge.cooleshow.auth.service;

import java.util.List;

import com.yonge.cooleshow.auth.api.entity.SysRole;
import com.yonge.toolset.mybatis.service.BaseService;

public interface SysRoleService extends BaseService<Long, SysRole> {

    /**
     * 根据userId查询角色列表
     * @param userId 用户编号
     * @return
     */
    List<SysRole> findRoleByUserId(Long userId);

    /**
     * 根据角色标识查询角色
     * @param code
     * @return
     */
    SysRole findRoleByCode(String code);

    /**
     * 添加角色
     * @param sysRole
     */
    void addRole(SysRole sysRole);

    /**
     * 修改角色信息
     * @param sysRole
     */
    void updateRole(SysRole sysRole);

    /**
     * 删除角色
     * @param id
     */
    void delRole(Long id);

    SysRole getRole(Long id);
}